{

    // SetupUIAction HighLight功能测试脚本

    "AbilityName": "TestPlayer_Ability_SetupUIAction_HighLight",

    "AbilityStacking": "Unique",



    "OnAbilityStart":

    [

        {

            "$type" : "MoleMole.ApplyModifier",

            "ModifierName" : "HighLightModifier",

            "Target" : "Self",

        },

    ],



    "Modifiers" : 

    {

        "HighLightModifier" : 

        {

            "ModifierStacking" : "MultipleRefresh",

            "Duration" : 5.0,



            "OnAdded" :

            [

                {

                    "$type" : "MoleMole.SetupUIAction",

                    "SetupTag" : "HighLight_Test_SetupTag",

                    "Priority" : 0,

                    "IgnoreFadeAnimation" : false,

                    "HighLightTags" : 

                    [

                        "SkillButtonA",

                    ],

                },

            ],



            "OnRemoved" :

            [

                {

                    "$type" : "MoleMole.InterruptSetupUIAction",

                    "SetupTag" : "HighLight_Test_SetupTag",

                    "IgnoreFadeAnimation" : false,

                },

            ],

        }

    }

}